apiVersion: batch/v1beta1
kind: CronJob
metadata:
  name: hello
spec:
  schedule: "*/1 * * * *"
  jobTemplate:
    spec:
      template:
        spec:
          containers:
          - name: update_global_score_job
            image: toeydocker/bluepi-example_update_global_score_job:latest
            imagePullPolicy: IfNotPresent
            env:
              - name: REDIS_HOST
                value: redis
              - name: REDIS_PORT
                value: "6379"
              - name: DATABASE_HOST
                value: postgres
              - name: DATABASE_PORT
                value: "5432"
              - name: DATABASE_USERNAME
                value: user
              - name: DATABASE_PASSWORD
                value: pass
          restartPolicy: OnFailure
            